Package javax.validation

# Interface BootstrapConfiguration

public interface BootstrapConfiguration

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getConstraintMappingResourcePaths()`
`String`
`getConstraintValidatorFactoryClassName()`
`String`
`getDefaultProviderClassName()`
`Set<ExecutableType>`
`getDefaultValidatedExecutableTypes()`
`String`
`getMessageInterpolatorClassName()`
`String`
`getParameterNameProviderClassName()`
`Map<String,String>`
`getProperties()`
`String`
`getTraversableResolverClassName()`
`boolean`
`isExecutableValidationEnabled()`

## Method Details

### getDefaultProviderClassName

String getDefaultProviderClassName()

### getConstraintValidatorFactoryClassName

String getConstraintValidatorFactoryClassName()

### getMessageInterpolatorClassName

String getMessageInterpolatorClassName()

### getTraversableResolverClassName

String getTraversableResolverClassName()

### getParameterNameProviderClassName

String getParameterNameProviderClassName()

### getConstraintMappingResourcePaths

Set<String> getConstraintMappingResourcePaths()

### isExecutableValidationEnabled

boolean isExecutableValidationEnabled()

### getDefaultValidatedExecutableTypes

Set<ExecutableType> getDefaultValidatedExecutableTypes()

### getProperties

Map<String,String> getProperties()